Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 341)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 342)
@@ -70,7 +70,6 @@
 
 	@Override
 	public void initializeDefaultPreferences() {
-		System.out.println("INITIALIZE R PREFERENCES");
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 
 		//FIXME: need to define here the PATH_TO_EXECUTABLE preference according to current OS and the current TXM install directory
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 341)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 342)
@@ -94,7 +94,6 @@
 	//	/** The nrow. */
 	//	protected int nrow;
 
-
 	/**
 	 * Instantiates a new matrix impl.
 	 *
@@ -236,21 +235,6 @@
 	 */
 	protected MatrixImpl(String symbol) throws RWorkspaceException {
 		super(symbol);
-		if (!rw.containsVariable(symbol)) {
-			throw new RObjectDoesNotExist(StatsEngineCoreMessages.MatrixImpl_0 + symbol
-					+ StatsEngineCoreMessages.MatrixImpl_1);
-		}
-		REXP res = rw.eval("dim(" + symbol + ")"); //$NON-NLS-2$ //$NON-NLS-1$
-		int[] dim = null;
-		try {
-			dim = res.asIntegers();
-		} catch (REXPMismatchException e) {
-			throw new RWorkspaceException(e);
-		}
-		//		nrow = dim[0];
-		//		ncol = dim[1];
-		//this.rows = null;
-		//this.cols = null;
 	}
 
 	/**
Index: tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 342)
@@ -12,7 +12,9 @@
  org.txm.chartsengine.rcp,
  org.txm.rcp;bundle-version="0.7.8",
  org.eclipse.core.expressions;bundle-version="3.4.600",
- org.eclipse.core.runtime;bundle-version="3.10.0"
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0"
 Export-Package: org.txm.specificities.rcp.adapters,
  org.txm.specificities.rcp.editors,
  org.txm.specificities.rcp.handlers,
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesResultEditorInput.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesResultEditorInput.java	(revision 341)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesResultEditorInput.java	(revision 342)
@@ -357,7 +357,7 @@
 			} else {
 				int[] partSize = null;
 				try {
-					partSize = res.getPartSize();
+					partSize = res.getPartSizes();
 				} catch (StatException e) {
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				}
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableEditor.java	(revision 341)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableEditor.java	(revision 342)
@@ -321,7 +321,7 @@
 		int[] partSize = null;
 		try {
 			partNames = specificitiesResult.getPartShortNames();
-			partSize = specificitiesResult.getPartSize();
+			partSize = specificitiesResult.getPartSizes();
 		} catch (StatException e) {
 			System.err.println(NLS.bind(SpecificitiesUIMessages.SpecificitiesTableEditor_5, e));
 			return;
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 341)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 342)
@@ -81,9 +81,6 @@
 		CorporaView.addDoubleClickListener(SpecificitesResult.class, ComputeSpecifities.class);
 	}
 	
-	
-	
-
 	/** The window. */
 	private IWorkbenchWindow window;
 
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 341)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 342)
@@ -179,7 +179,7 @@
 						monitor.beginTask("", 100); //$NON-NLS-1$
 						monitor.subTask(CAUIMessages.ComputeCorrespondanceAnalysis_15);
 
-						if(ca == null)	{
+						if (ca == null)	{
 							if (selection instanceof Partition)	{
 								ca = new CA(partition, property, fmin, vmax);
 							}
@@ -190,7 +190,6 @@
 								ca = ((ICAComputable) selection).toCA();
 							}
 	
-	
 							if (selection instanceof Partition) {
 								if (monitor.isCanceled()) return Status.CANCEL_STATUS;
 								monitor.subTask(CAUIMessages.ComputeCorrespondanceAnalysis_16);
@@ -216,7 +215,8 @@
 							ca.getLexicalTable().addResult(ca);
 
 						}
-						if(ca == null)	{
+						
+						if (ca == null)	{
 							return Status.CANCEL_STATUS;
 						}
 
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 342)
@@ -12,7 +12,10 @@
  org.txm.rcp,
  org.eclipse.ui;bundle-version="3.106.1",
  org.eclipse.core.runtime;bundle-version="3.10.0",
- org.eclipse.core.expressions;bundle-version="3.4.600"
+ org.eclipse.core.expressions;bundle-version="3.4.600",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp;bundle-version="1.0.0"
 Export-Package: org.txm.ca.rcp.adapters,
  org.txm.ca.rcp.chartsengine.events,
  org.txm.ca.rcp.editors,
Index: tmp/org.txm.ca.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 342)
@@ -9,7 +9,9 @@
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
- org.txm.lexicaltable.core
+ org.txm.lexicaltable.core,
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp;bundle-version="1.0.0"
 Export-Package: org.txm.ca.core.chartsengine.base,
  org.txm.ca.core.chartsengine.jfreechart.datasets,
  org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.chartcreators,
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 341)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 342)
@@ -843,6 +843,8 @@
 	 */
 	public void stepCompute() throws StatException
 	{
+//		System.out.println("CA lexicaltable: "+table);
+//		System.out.println("CA ilexicaltable: "+table.getData());
 		if (useFactoMineR)
 			ca = new FactoMineRCA(table.getData());
 		else
@@ -872,7 +874,6 @@
 		try {
 			table.getData().filter(vmax, fmin);
 		} catch (Exception e) {
-			// TODO Auto-generated catch block
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesImpl.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesImpl.java	(revision 341)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesImpl.java	(revision 342)
@@ -75,7 +75,6 @@
 	public SpecificitiesImpl(ILexicalTable lt) throws StatException {
 		super(prefixR+(specif_counter++));
 
-
 		// Create a set of the existing types
 		String[] rownames = lt.getRowNames().asStringsArray();
 		String[] colnames = lt.getColNames().asStringsArray();
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitesResult.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitesResult.java	(revision 341)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitesResult.java	(revision 342)
@@ -251,22 +251,22 @@
 				}
 			}
 		}
-		if (partFocus != null && partFocus.size() != 0) {
-			if (partFocus.size() != specIndex[0].length) {
-				throw new IllegalArgumentException(
-						SpecificitiesCoreMessages.SpecificitesResult_7 + partFocus.size()
-						+ ", " + specIndex[0].length + ")."); //$NON-NLS-1$//$NON-NLS-2$ 
-			}
-			colindex = ArrayIndex.getIndex(
-					table.getColNames().asStringsArray(), partFocus
-					.toArray(new String[] {}));
-			for (int i : colindex) {
-				if (i == -1) {
-					throw new IllegalArgumentException(
-							SpecificitiesCoreMessages.SpecificitesResult_10);
-				}
-			}
-		}
+//		if (partFocus != null && partFocus.size() != 0) {
+//			if (partFocus.size() != specIndex[0].length) {
+//				throw new IllegalArgumentException(
+//						SpecificitiesCoreMessages.SpecificitesResult_7 + partFocus.size()
+//						+ ", " + specIndex[0].length + ")."); //$NON-NLS-1$//$NON-NLS-2$ 
+//			}
+//			colindex = ArrayIndex.getIndex(
+//					table.getColNames().asStringsArray(), partFocus
+//					.toArray(new String[] {}));
+//			for (int i : colindex) {
+//				if (i == -1) {
+//					throw new IllegalArgumentException(
+//							SpecificitiesCoreMessages.SpecificitesResult_10);
+//				}
+//			}
+//		}
 	}
 
 	/**
@@ -357,9 +357,8 @@
 			 * parts.get(i).getShortName(); }
 			 */
 			return table.getColNames().asStringsArray();
-
 		} else {
-			if(this.subCorpus != null)
+			if (this.subCorpus != null)
 				return new String[] { this.subCorpus.getName(),
 					this.corpus.getName() + " \\ " + this.subCorpus.getName() }; //$NON-NLS-1$
 		}
@@ -430,7 +429,7 @@
 	 * @return the part size
 	 * @throws StatException the stat exception
 	 */
-	public int[] getPartSize() throws StatException {
+	public int[] getPartSizes() throws StatException {
 		if (table != null) {
 			Vector partsize = table.getColMarginsVector();
 			if (colindex != null) {
@@ -708,6 +707,10 @@
 		double[][] specIndex = si.getScores();
 
 		if (table.getPartition() != null) {
+//			System.out.println("table="+table);
+//			System.out.println("rows="+table.getRowNames());
+//			System.out.println("cols="+table.getColNames());
+//			System.out.println("prop="+table.getProperty());
 			init(symbol, specIndex, table, Arrays
 					.asList(table.getRowNames().asStringsArray()), Arrays.asList(table.getColNames().asStringsArray()), table.getProperty().getName(), maxScore); 
 		} else {
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java	(revision 341)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java	(revision 342)
@@ -36,8 +36,10 @@
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.CellLabelProvider;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
+import org.eclipse.jface.viewers.ViewerCell;
 import org.eclipse.jface.window.Window;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
@@ -71,6 +73,7 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.editor.CustomizableEditor;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.swt.provider.SimpleLabelProvider;
 import org.txm.rcp.swt.widget.ObjectSelector;
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.rcp.swt.widget.QueryWidget;
@@ -104,14 +107,11 @@
 	/** The line table viewer. */
 	TableViewer viewer;
 
-	/** The part columns. */
-	List<TableViewerColumn> partColumns = new ArrayList<TableViewerColumn>();
-
 	/** The part column. */
-	TableViewerColumn partColumn;
+//	TableViewerColumn partColumn;
 
 	/** The n column. */
-	TableViewerColumn nColumn;
+	//TableViewerColumn nColumn;
 
 	/** The form column. */
 	TableViewerColumn formColumn;
@@ -415,8 +415,7 @@
 		FormLayout resultLayout = new FormLayout();
 		resultArea.setLayout(resultLayout);
 
-		viewer = new TableViewer(resultArea, SWT.MULTI
-				| SWT.FULL_SELECTION | SWT.BORDER | SWT.VIRTUAL);
+		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER | SWT.VIRTUAL);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().setHeaderVisible(true);
@@ -427,20 +426,27 @@
 		tableLayoutData.left = new FormAttachment(0);
 		tableLayoutData.right = new FormAttachment(100);
 		viewer.getTable().setLayoutData(tableLayoutData);
-
-		nColumn = new TableViewerColumn(viewer, SWT.RIGHT);
+		CellLabelProvider clp = new CellLabelProvider() {
+			@Override
+			public void update(ViewerCell cell) { }
+		};
+		TableViewerColumn nColumn = new TableViewerColumn(viewer, SWT.RIGHT);
 		nColumn.getColumn().setText(" "); //$NON-NLS-1$
 		nColumn.getColumn().pack();
-
+		nColumn.setLabelProvider(clp);
+		
 		formColumn = new TableViewerColumn(viewer, SWT.LEFT);
 		formColumn.getColumn().setText(this.table.getProperty().getName()); 
 		formColumn.getColumn().setWidth(200);
 		formColumn.getColumn().addSelectionListener(new ColumnSelectionListener(formColumn, -2));
-
+		formColumn.setLabelProvider(clp);
+		
 		freqColumn = new TableViewerColumn(viewer, SWT.LEFT);
 		freqColumn.getColumn().setText(Messages.FrequencyListEditorInput_4); 
 		freqColumn.getColumn().setWidth(200);
 		freqColumn.getColumn().addSelectionListener(new ColumnSelectionListener(freqColumn, -1));
+		freqColumn.setLabelProvider(clp);
+		
 		collist = new ArrayList<Object>();
 		Vector colnames = table.getColNames();
 		
@@ -450,12 +456,13 @@
 			for (String colname : colnames.asStringsArray()) {
 				// partColumn = new TableColumn(lineTableViewer.getTable(),
 				// SWT.RIGHT);
-				partColumn = new TableViewerColumn(viewer, SWT.RIGHT);
+				TableViewerColumn partColumn = new TableViewerColumn(viewer, SWT.RIGHT);
 				partColumn.getColumn().setText(colname+" t="+colmargins[i]); //$NON-NLS-1$
 				partColumn.getColumn().setToolTipText(colname); 
 				collist.add(colname);
 				partColumn.getColumn().setWidth(200);
 				partColumn.getColumn().addSelectionListener(new ColumnSelectionListener(partColumn, i));
+				partColumn.setLabelProvider(clp);
 				i++;
 			}
 		} catch (StatException e1) {
@@ -463,9 +470,9 @@
 			return;
 		}
 
-		nColumn = new TableViewerColumn(viewer, SWT.RIGHT);
-		nColumn.getColumn().setText(""); //$NON-NLS-1$
-		nColumn.getColumn().pack();
+//		nColumn = new TableViewerColumn(viewer, SWT.RIGHT);
+//		nColumn.getColumn().setText(""); //$NON-NLS-1$
+//		nColumn.getColumn().pack();
 
 		viewer.setContentProvider(new LineContentProvider());
 		viewer.setInput(table);
@@ -475,14 +482,11 @@
 		viewer.getTable().setSortColumn(formColumn.getColumn());
 		viewer.getTable().setSortDirection(SWT.UP);
 
-
 		refresh();
-
 		
 		createContextMenu(viewer);
 		
 		this.commandParametersGroup.pack();
-		
 	}
 
 	private void refreshColNames() throws StatException, CqiClientException {
@@ -503,14 +507,10 @@
 					+ TXMCoreMessages.V + itable.getNRows()
 					+ TXMCoreMessages.FMIN_2 + itable.getFmin()
 					+ TXMCoreMessages.FMAX_2 + itable.getFmax());
-		} catch (RWorkspaceException e3) {
+		} catch (Exception e3) {
 			// TODO Auto-generated catch block
 			org.txm.rcp.utils.Logger.printStackTrace(e3);
 		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
 	}
 
 	/**
@@ -540,7 +540,6 @@
 		minfreqspinner.setMaximum(itable.getFmax());
 		viewer.getTable().setFocus();
 	}
-
 	
 	@Override
 	public void refresh()	{
@@ -550,8 +549,6 @@
 		super.refresh();
 	}
 	
-	
-
 	/**
 	 * Creates the context menu.
 	 *
Index: tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 342)
@@ -11,7 +11,9 @@
  org.txm.rcp,
  org.eclipse.ui;bundle-version="3.106.1",
  org.txm.statsengine.r.rcp,
- org.eclipse.core.expressions;bundle-version="3.4.600"
+ org.eclipse.core.expressions;bundle-version="3.4.600",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.lexicaltable.rcp.adapters,
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 341)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 342)
@@ -43,6 +43,7 @@
 import org.txm.chartsengine.r.core.preferences.RChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.preferences.ExportPreferencePage;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
@@ -105,12 +106,12 @@
 
 				//FIXME: old code
 				// Set the first charts engine supported export file format as default charts export file format
+
 //				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
 //				
 //				// Refresh the User\Export preference page to update "Default charts export file format" combo box
 //				PlatformUI.getWorkbench().getPreferenceManager().
 //					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
-
 			}
 			
 			
Index: tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 342)
@@ -4,9 +4,9 @@
 Bundle-SymbolicName: org.txm.chartsengine.r.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.core,
+ org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.rcp;bundle-version="0.7.8",
- org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Import-Package: org.txm.chartsengine.rcp.messages
Index: tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 342)
@@ -16,4 +16,3 @@
  org.txm.statsengine.r.rcp.preferences,
  org.txm.statsengine.r.rcp.views
 Bundle-Vendor: Textometrie.org
-Import-Package: org.txm.lexicaltable.core.functions
Index: tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 341)
+++ tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 342)
@@ -3,12 +3,12 @@
 Bundle-Name: Lexical Table Core
 Bundle-SymbolicName: org.txm.lexicaltable.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.statsengine.core;bundle-version="1.0.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0",
- org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime,
- org.txm.index.core;bundle-version="1.0.0",
- org.txm.lexicon.core;bundle-version="1.0.0"
+Require-Bundle: org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.core;bundle-version="0.7.0";visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.lexicon.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.functions.intertextualdistance,
@@ -16,5 +16,6 @@
  org.txm.lexicaltable.core.messages,
  org.txm.lexicaltable.core.preferences,
  org.txm.lexicaltable.core.statsengine.data,
- org.txm.lexicaltable.core.statsengine.r.data
+ org.txm.lexicaltable.core.statsengine.r.data,
+ org.txm.lexicon.core.messages
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 341)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 342)
@@ -32,87 +32,21 @@
  */
 public class LexicalTable extends TXMResult {
 	
+	/** The constructor_fmin. */
+	private int constructor_fmin;
+	
+	/** The corpus. */
+	private Corpus corpus;
+
 	/** the statengine data object */
 	ILexicalTable data;
-	
+
 	/** The partition. */
 	private Partition partition;
 
-	/** The corpus. */
-	private Corpus corpus;
-
 	/** The property. */
 	private Property property;
-
-	/** The constructor_fmin. */
-	private int constructor_fmin;
 	
-	/**
-	 * Get the partition this lexical table is bound to.
-	 * 
-	 * @return the partition
-	 */
-	public Partition getPartition() {
-		return partition;
-	}
-	
-	/**
-	 * Get the corpus this lexical table is bound to.
-	 * 
-	 * @return the corpus or null if the LexicalTable was build without a Corpus or thiout a Partition (built with a Corpus)
-	 */
-	public Corpus getCorpus() {
-		if (corpus != null) return corpus;
-		else if (partition != null) return partition.getCorpus();
-		else return null;
-	}
-
-	/**
-	 * Get the property this lexical table is bound to.
-	 * 
-	 * @return the property.
-	 */
-	public Property getProperty() {
-		return property;
-	}
-
-	@Override
-	public String getName() {
-		return data.getSymbol();
-	}
-
-	@Override
-	public String getSimpleName() {
-		return data.getSymbol();
-	}
-
-	@Override
-	public String getDetails() {
-		return data.getSymbol();
-	}
-
-	@Override
-	public void clean() {
-		try {
-			RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(data.getSymbol());
-		} catch (RWorkspaceException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-	}
-	
-	
-	
-	public LexicalTable(Lexicon corpusLexicon, Lexicon subcorpusLexicon) throws StatException {
-		super();
-		
-		data = new LexicalTableImpl(corpusLexicon.getName()+ "minus" + subcorpusLexicon.getName(), corpusLexicon, subcorpusLexicon);
-		
-		this.property = corpusLexicon.getProperty();
-		this.corpus = corpusLexicon.getCorpus();
-		this.corpus.addResult(this);
-	}
-	
 	public LexicalTable(Corpus corpus, Subcorpus subcorpus) throws StatException, CqiClientException {
 		this(Lexicon.getLexicon(corpus, corpus.getProperty("word")), Lexicon.getLexicon(subcorpus, subcorpus.getProperty("word")));
 	}
@@ -121,13 +55,6 @@
 		this(Lexicon.getLexicon(corpus, property), Lexicon.getLexicon(subcorpus, property));
 	}
 
-	public LexicalTable(Partition partition, Property analysisProperty, int fmin, LexicalTableImpl itable) {
-		this.property = partition.getProperty();
-		this.partition = partition;
-		this.corpus = partition.getCorpus();
-	}
-	
-
 	/**
 	 * Creates the lexical table.
 	 *
@@ -140,7 +67,17 @@
 			String symbol) throws RWorkspaceException {
 		this(Arrays.asList(partIndex), symbol, true);
 	}
-	
+
+	public LexicalTable(Lexicon corpusLexicon, Lexicon subcorpusLexicon) throws StatException {
+		super();
+		
+		data = new LexicalTableImpl(corpusLexicon.getName()+ "minus" + subcorpusLexicon.getName(), corpusLexicon, subcorpusLexicon);
+		
+		this.property = corpusLexicon.getProperty();
+		this.corpus = corpusLexicon.getCorpus();
+		this.corpus.addResult(this);
+	}
+
 	/**
 	 * Creates the lexical table.
 	 *
@@ -237,36 +174,100 @@
 				.toArray(new String[] {}));
 	}
 
+	public LexicalTable(Partition partition, Property analysisProperty, int fmin, LexicalTableImpl itable) {
+		
+		this.property = analysisProperty;
+		this.partition = partition;
+		this.corpus = partition.getCorpus();
+		this.data = itable;
+	}
+
+	@Override
+	public void clean() {
+		try {
+			RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(data.getSymbol());
+		} catch (RWorkspaceException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+	}
+	
+	
+	
+	public Vector getColMarginsVector() throws StatException {
+		return data.getColMarginsVector();
+	}
+	
+	public Vector getColNames() {
+		return data.getColNames();
+	}
+	
+	/**
+	 * Get the corpus this lexical table is bound to.
+	 * 
+	 * @return the corpus or null if the LexicalTable was build without a Corpus or thiout a Partition (built with a Corpus)
+	 */
+	public Corpus getCorpus() {
+		if (corpus != null) return corpus;
+		else if (partition != null) return partition.getCorpus();
+		else return null;
+	}
+
 	public ILexicalTable getData() {
 		return data;
 	}
 
-	public Vector getRowNames() {
-		return data.getRowNames();
+	@Override
+	public String getDetails() {
+		return data.getSymbol();
 	}
 	
-	public Vector getColNames() {
-		return data.getRowNames();
+	@Override
+	public String getName() {
+		return data.getSymbol();
 	}
 
 	public int getNColumns() {
 		return data.getNColumns();
 	}
 
-	public Vector getColMarginsVector() throws StatException {
-		return data.getColMarginsVector();
+	public int getNRows() {
+		return data.getNRows();
 	}
+	
+	/**
+	 * Get the partition this lexical table is bound to.
+	 * 
+	 * @return the partition
+	 */
+	public Partition getPartition() {
+		return partition;
+	}
 
+	/**
+	 * Get the property this lexical table is bound to.
+	 * 
+	 * @return the property.
+	 */
+	public Property getProperty() {
+		return property;
+	}
+
+	public Vector getRow(int i) throws StatException {
+		return data.getRow(i);
+	}
+
 	public Vector getRowMarginsVector() throws StatException {
 		return data.getRowMarginsVector();
 	}
 
-	public int getNRows() {
-		return data.getNRows();
+	public Vector getRowNames() {
+		return data.getRowNames();
 	}
 
-	public Vector getRow(int i) throws StatException {
-		return data.getRow(i);
+	@Override
+	public String getSimpleName() {
+		return data.getSymbol();
 	}
 
 	public void toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
Index: tmp/org.txm.lexicon.core/src/org/txm/lexicon/core/corpusengine/cqp/Lexicon.java
===================================================================
--- tmp/org.txm.lexicon.core/src/org/txm/lexicon/core/corpusengine/cqp/Lexicon.java	(revision 341)
+++ tmp/org.txm.lexicon.core/src/org/txm/lexicon/core/corpusengine/cqp/Lexicon.java	(revision 342)
@@ -94,7 +94,7 @@
 
 	public Lexicon(Corpus corpus, Property property) throws CqiClientException {
 		if (corpus instanceof MainCorpus) initLexiconWith((MainCorpus)corpus, property);
-		else if (corpus instanceof Subcorpus) initLexiconWith((MainCorpus)corpus, property);
+		else if (corpus instanceof Subcorpus) initLexiconWith((Subcorpus)corpus, property);
 		else {
 			throw new IllegalArgumentException("Corpus class not managed: "+corpus);
 		}
